Subject: Re: bug#6991: Please keep bytecode out of *Backtrace* buffers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Nov 2016 20:52:53 +0200

> From: Noam Postavsky <[email-masked]>
> Date: Tue, 22 Nov 2016 13:07:13 -0500
> Cc: [email-masked], Juanma Barranquero <[email-masked]>, John Wiegley <[email-masked]>, 
> 	Stefan Monnier <[email-masked]>, Lars Magne Ingebrigtsen <[email-masked]>, 
> 	Drew Adams <[email-masked]>
> 
> On Sun, Nov 20, 2016 at 10:46 AM, Eli Zaretskii <[email-masked]> wrote:
> >
> > It just doesn't feel right to me to fix a problem that is specific to
> > selections in a general-purpose low-level facility for printing
> > strings.  Emacs can handle null bytes in strings very well, so I see
> > no need to change the print functions.
> 
> Does the fact that this replacement would only happen when
> `print-escape-nonascii' is non-nil help at all? And the fact that this
> same function already escapes newline, formfeed, and every character
> larger than 0x80 (all of which Emacs can handle in strings too)?
> 
> Can we have both solutions? The selection fix is lossy, so avoiding
> the need for it where possible seems like a good thing to me.

I'm confused: which problem the above is supposed to fix?  Are we
still talking about putting null bytes in selections, or are we
talking about something else?